import numpy as np

mat_1 = np.random.randint(-10,10, size=(5,5))
print("mat_1 :\n", mat_1) 

min_value = np.min(mat_1)
print(f"\nLa valeur minimale de toute la matrice est: {min_value}\n")
max_value = np.max(mat_1)
print(f"La valeur maximale de toute la matrice est: {max_value}\n")

min_value_by_col = np.min(mat_1, axis=0)
print(f"Les valeurs minimales par colonne sont: {min_value_by_col}\n")
min_value_by_row = np.min(mat_1, axis=1)
print(f"Les valeurs minimales par ligne sont: {min_value_by_row}\n")

mean_value_by_col = np.mean(mat_1, axis=0)
print(f"Les moyennes par colonne sont: {mean_value_by_col}\n")
std_by_col = np.std(mat_1, axis=0)
print(f"Les écarts-types par colonne sont: {std_by_col}\n")
sum_by_row = np.sum(mat_1, axis=1)
print(f"Les sommes par ligne sont: {sum_by_row}\n")

